"use strict";

const React = require("react");

const Layout = require("./layout");

module.exports = function Index({ signatories, hashtag }) {
	return (
		<Layout>
			<p>
				If you're an instance admin and want to sign the pact:
			</p>
			
			<ol>
				<li>Add the {hashtag} hashtag to your admin account's bio</li>
				<li>Fill in your fedi ID below</li>
				<li>Hit submit</li>
			</ol>
			
			<p>
				We'll try to automatically verify your submission; this only works if you're running Mastodon or something with a compatible API. Otherwise, we'll still store your submission, but we'll verify it manually. We may contact you at the ID you've provided if we need more information!
			</p>

			<p>(If you're not the admin, you can also submit your ID below; but we'll still check the <em>admin account</em>'s bio for the hashtag! If we need to contact you, we'll use the ID you've entered.)</p>
			
			<form action="/submit" method="post">
				<label htmlFor="submitter">Your fedi ID:</label>
				<input type="text" name="submitter" id="submitter" placeholder="@you@example.com" />
				<button type="submit">Submit</button>
			</form>

			<hr />

			<h2>Signed by:</h2>

			<ul>
				{signatories.map((signatory) => {
					return (
						<li key={signatory.admin}>
							<strong>{signatory.submitter.split("@")[1]}</strong>&nbsp;
							({signatory.admin})
						</li>
					);
				})}
			</ul>
		</Layout>
	);
};
